### Name: SpatialPointsDataFrame-class
### Title: Class "SpatialPointsDataFrame"
### Aliases: SpatialPointsDataFrame-class [,SpatialPointsDataFrame-method
###   coerce,SpatialPointsDataFrame,data.frame-method
###   coerce,SpatialPointsDataFrame,AttributeList-method
###   coerce,SpatialPointsDataFrame,SpatialPoints-method
###   show,SpatialPointsDataFrame-method [[.SpatialPointsDataFrame
###   [[<-.SpatialPointsDataFrame $.SpatialPointsDataFrame
###   $<-.SpatialPointsDataFrame as.data.frame.SpatialPointsDataFrame
###   dim.SpatialPointsDataFrame plot.SpatialPointsDataFrame
###   print.SpatialPointsDataFrame summary.SpatialPointsDataFrame
###   print.summary.SpatialPointsDataFrame ShowSpatialPointsDataFrame
###   as.SpatialPoints.SpatialPointsDataFrame
### Keywords: classes

### ** Examples

data(meuse)
xy = meuse[c("x", "y")] # retrieve coordinates as data.frame
class(meuse)
data(meuse) # reload data.frame
coordinates(meuse) = c("x", "y") # specify column names
class(meuse)
data(meuse) # reload data.frame
coordinates(meuse) = c(1, 2) # specify column names
class(meuse)
data(meuse) # reload data.frame
coordinates(meuse) = ~x+y # formula
class(meuse)
data(meuse) # reload data.frame
coordinates(meuse) = xy   # as data frame
class(meuse)
data(meuse) # reload data.frame
coordinates(meuse) = as.matrix(xy)   # as matrix
meuse$log.zn = log(meuse$zinc)
class(meuse)
dim(meuse)



